Bug 1028482 - [abrt] lbzip2-2.2-4.fc19: generate_initial_trees: Process /usr/bin/lbzip2 was killed by signal 6 (SIGABRT)
[abrt] lbzip2-2.2-4.fc19: generate_initial_trees: Process /usr/bin/lbzip2 was...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: lbzip2 (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mikolaj Izdebski
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:8ba4d8c092e1d9728f245929de0...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-08 09:52 EST by Radek Lát
Modified: 2013-11-25 23:08 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.2-5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-25 13:40:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (40.34 KB, text/plain)
2013-11-08 09:52 EST, Radek Lát
no flags Details
File: cgroup (140 bytes, text/plain)
2013-11-08 09:52 EST, Radek Lát
no flags Details
File: core_backtrace (22.74 KB, text/plain)
2013-11-08 09:52 EST, Radek Lát
no flags Details
File: dso_list (307 bytes, text/plain)
2013-11-08 09:52 EST, Radek Lát
no flags Details
File: environ (2.09 KB, text/plain)
2013-11-08 09:52 EST, Radek Lát
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-08 09:52 EST, Radek Lát
no flags Details
File: maps (3.59 KB, text/plain)
2013-11-08 09:52 EST, Radek Lát
no flags Details
File: open_fds (126 bytes, text/plain)
2013-11-08 09:52 EST, Radek Lát
no flags Details
File: proc_pid_status (905 bytes, text/plain)
2013-11-08 09:52 EST, Radek Lát
no flags Details
File: var_log_messages (234 bytes, text/plain)
2013-11-08 09:53 EST, Radek Lát
no flags Details

  None (edit)
Description Radek Lát 2013-11-08 09:52:21 EST
Description of problem:
1. run backup of home directory (aproximately 80+ GB):
$sudo tar -I lbzip2 -cvf my_home.tar.bz2 /home/me
2. after a few minutes observe "lbzip2: encode.c:794: generate_initial_trees: Assertion `a < b' failed." and crash.

Version-Release number of selected component:
lbzip2-2.2-4.fc19

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        lbzip2
crash_function: generate_initial_trees
executable:     /usr/bin/lbzip2
kernel:         3.9.5-301.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (6 frames)
 #4 generate_initial_trees at encode.c:794
 #5 generate_prefix_code at encode.c:892
 #6 encode at encode.c:357
 #7 do_collect at compress.c:118
 #8 worker_thread_proc at process.c:433
 #9 thread_entry at process.c:82
Comment 1 Radek Lát 2013-11-08 09:52:28 EST
Created attachment 821663 [details]
File: backtrace
Comment 2 Radek Lát 2013-11-08 09:52:32 EST
Created attachment 821664 [details]
File: cgroup
Comment 3 Radek Lát 2013-11-08 09:52:35 EST
Created attachment 821665 [details]
File: core_backtrace
Comment 4 Radek Lát 2013-11-08 09:52:40 EST
Created attachment 821666 [details]
File: dso_list
Comment 5 Radek Lát 2013-11-08 09:52:44 EST
Created attachment 821667 [details]
File: environ
Comment 6 Radek Lát 2013-11-08 09:52:47 EST
Created attachment 821668 [details]
File: limits
Comment 7 Radek Lát 2013-11-08 09:52:50 EST
Created attachment 821669 [details]
File: maps
Comment 8 Radek Lát 2013-11-08 09:52:54 EST
Created attachment 821670 [details]
File: open_fds
Comment 9 Radek Lát 2013-11-08 09:52:57 EST
Created attachment 821671 [details]
File: proc_pid_status
Comment 10 Radek Lát 2013-11-08 09:53:00 EST
Created attachment 821672 [details]
File: var_log_messages
Comment 11 Mikolaj Izdebski 2013-11-17 07:21:02 EST
This is the same as Gentoo bz#436382
https://bugs.gentoo.org/show_bug.cgi?id=436382
https://github.com/kjn/lbzip2/issues/8

Fixed upstream in 2.3.
I will backport patch.
Comment 12 Mikolaj Izdebski 2013-11-17 07:49:04 EST
Fixed in lbzip2-2.2-5
Comment 13 Fedora Update System 2013-11-17 07:53:05 EST
lbzip2-2.2-5.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/lbzip2-2.2-5.fc19
Comment 14 Fedora Update System 2013-11-17 07:53:05 EST
lbzip2-2.2-5.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/lbzip2-2.2-5.fc20
Comment 15 Fedora Update System 2013-11-17 07:53:05 EST
lbzip2-2.2-5.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/lbzip2-2.2-5.fc18
Comment 16 Mikolaj Izdebski 2013-11-25 13:40:42 EST
I believe that this bug is fixed in lbzip2-2.2-5,
which is available in updates for Fedora 19, so I am closing this bug now.

The build containing the fix can be found at Koji:
http://koji.fedoraproject.org/koji/buildinfo?buildID=478936
Comment 17 Fedora Update System 2013-11-25 22:57:32 EST
lbzip2-2.2-5.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2013-11-25 23:00:14 EST
lbzip2-2.2-5.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2013-11-25 23:08:35 EST
lbzip2-2.2-5.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.